﻿html,
body {
    font-family: Arial, sans-serif;
    height: 100%;
    width: 100%;
    margin: 0;
    /* background-color: rgb(250,250,250); */
}
/* Layout */

.row {
    margin-left: 0;
    margin-right: 0;
}

.col, [class*='col-'] {
    padding-right: 0;
    padding-left: 0;
}

body, input, select {
    font-weight: 300;
}

/* Colors */

.bg-aksia-blue-light {
    background-color: #818F9E;
}

.bg-aksia-blue-dark {
    background-color: #2A4059;
}

.bg-aksia-blue {
    background-color: #5E7186;
}

.bg-aksia-gold {
    background-color: #CDBE8B;
}

.bg-aksia-purple {
    background-color: #6A678F;
}

a:hover{
    text-decoration: none;
}
/* Fonts */

.heading-1 {
    font-size: 1.4rem;
    line-height: 1.4rem;
    padding: .7rem;
}

.heading-2 {
    font-size: 1.2rem;
    line-height: 1rem;
    /* padding-bottom: .7rem; */
}

.heading-3 {
    font-size: 1rem;
    line-height: 1rem;
    padding-bottom: .7rem;
}

.bold {
    font-weight: 400;
}

/* Icons */

.icon-button {
    font-size: 1.2rem;
    padding: .4rem;
    border-radius: .25rem;
    cursor: pointer;
    display: inline-block;
}

    .icon-button:hover {
        background-color: #e2e6ea;
    }
.icon-button-active {
    background-color: #e2e6ea;
}

/* Utility */

.inline-block {
    display: inline-block;
}

.reset-right-border-radius {
    border-top-right-radius: 0px;
    border-bottom-right-radius: 0px;
}

.reset-left-border-radius {
    border-top-left-radius:0px;
    border-bottom-left-radius:0px;
}

.absolute-fill {
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}

.flex-column {
    display: flex;
    flex-direction: column;
}

.flex-row {
    display: flex;
    flex-direction: row;
}

.flex-shrink {
    flex: 0 1 auto;
}

.flex-grow {
    flex: 1 1 auto;
}

.flex-grow-2 {
    flex: 2 1 auto;
}

.flex-grow-3 {
    flex: 3 1 auto;
}

.overflow-auto {
    overflow: auto;
}

.pointer {
    cursor: pointer;
}

/* Misc */

.loading {
    height: 38px;
    width: 38px;
    margin: 0 auto;
}


/*Document/Report Editor CSS */
#report-editor .document-separator{
    padding-top: 10px;
}

/*----------------------------------------------------------*/

.truncate {
    width: inherit;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.disabled {
    cursor: not-allowed;
    color: gray;
}

.publishedon-datepicker {
    float: right;
    /* direction: rtl; */
    color: #000;
    /* margin-top: 40px; */
    z-index: 1000;
}
.vdp-datepicker__calendar {
    /* direction: ltr; */
}
.vdp-datepicker__calendar_fixed .vdp-datepicker__calendar {
    /* direction: ltr; */
    position: fixed !important;
}

.publishedon-datepicker-input {
    display: none;
}


.datepicker input {
    display: block;
    width: 100%;
    padding: 8px;
    font-size: 14px;
    line-height: 0.9rem;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
} 

.truncatedParent {
    display: flex;
    align-items: center;
  }
  
  .truncatedParent .truncatedChild {
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

.dataLabel {
    font-size: 0.8rem;    
}

.dataInput{
    font-size: 0.8rem;
}

.btn__configure{
    display: inline-block;
    padding: .2rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    cursor: pointer;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn__configure:hover{
    opacity: 0.8;
    border-color: black;
}

.btn__action{
    display: inline-block;
    background-color: lightgray;
    font-size: 0.875rem;
    padding: 0.25rem 0.5rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    cursor: pointer;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn__action:hover{
    /* opacity: 0.8; */
    border-color: gray;
}

.btn__action:hover:disabled{
    cursor: not-allowed;
    opacity: 1;
    border-color: transparent;
}

.btn-secondary:not(:disabled):not(.disabled):active, .btn-secondary:not(:disabled):not(.disabled).active, .show > .btn-secondary.dropdown-toggle {
    color: #000;
    background-color: #fff;
    border-color: #4e555b;
}

.fade-enter-active, .fade-leave-active {
    transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
    opacity: 0;
}

.subtitle{
    font-size: 1rem;
    line-height: 1rem;
}

.report-field-actions{
    opacity: 0;
    margin-left: 8px;
}

.add-item-link {   
    font-size: 14px;
    cursor: pointer;
    padding-right: 0.5rem;    
}
.add-item-link:hover {
    text-decoration: underline !important;
}

.icon-minus,
.icon-minus-circle{
    color: red;
}

.icon-minus{
    font-size: 0.7rem;
}

.icon-checkmark{
    color: green;
}

.document-section__header,
.document-group__header{
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom:1px solid lightgray;
}

.document-section__header .__left-part,
.document-group__header .__left-part{
    display: flex;
    align-items: center;
}

.suggestion-asterisk{
    font-size: 1.2rem;
    color: red
}
/************** Fund Icon Options ************/
.iconentity-item {
    text-align: center;
    margin-right: 0.3125rem;
    width: 1.3125rem;
    height: 1.125rem;
    display: inline-block;
    border-radius: 0.25rem;
    padding: 0.0625rem;
    color: white;
    font-style: normal;
}

.iconentity-type1 /* hf (hedge fund) */ {
    background-color: #17375E;
}

    .iconentity-type1:after {
        content: "hf";
    }

.iconentity-type2 /* ff (fund of funds) */ {
    background-color: #256eec;
}

    .iconentity-type2:after {
        content: "ff";
    }

.iconentity-type6 /* other */ {
    background-color: #888888;
}

    .iconentity-type6:after {
        content: "-";
    }


.iconentity-type7 /* pc (private credit) */ {
    background-color: #403152;
}

    .iconentity-type7:after {
        content: "pc";
    }

.iconentity-type8 /* pe (private equity) */ {
    background-color: #984807;
}

    .iconentity-type8:after {
        content: "pe";
    }

    
.iconentity-type9 /* uc (ucits) */ {
    background-color: #4F6228;
}

    .iconentity-type9:after {
        content: "uc";
    }

.iconentity-type10 /* la (liquid alternatives) */ {
    background-color: #215968;
}

    .iconentity-type10:after {
        content: "la";
    }

.iconentity-type11 /* ra (real assets) */ {
    background-color: #cd5c5c;
}

    .iconentity-type11:after {
        content: "ra";
    }

.iconentity-type12 /* re (real estate) */ {
    background-color: #41ab13;
}

    .iconentity-type12:after {
        content: "re";
    }

.iconentity-type13 /* lo (long only) */ {
    background-color: #FF6464;
}

    .iconentity-type13:after {
        content: "lo";
    }
/* ******************************************** */

.grid-detail-renderer{
    padding: 10px;
    white-space: normal;
    overflow-y: auto;
    height: 300px;
}

.cke_maximized .cke_top, .cke_maximized .cke_contents, .cke_maximized .cke_bottom {
    max-width: 868px;
    margin: 0 auto;
}